Skip to main content
GET
List detailed activities

Authorizations

Authorization
string
header
required

Access token issued by POST /sessions and associated with a valid server-side session.

Query Parameters

company_id
string
required

Required company identifier forwarded to the source.

Minimum string length: 1
school_id
string
required

Required school identifier forwarded to the source.

Minimum string length: 1
kid_id
string<uuid>

Optional kid UUID. If absent, returns activity lists for all kids in the school.

since
string<date-time>

Optional RFC3339 timestamp to filter activities.

Response

(object[] | null)[]

Successful response.

activiable
any
required

JSON content whose structure depends on the source activity type; may be null.

activity_date
string
required
activity_time
string
required
activity_type
string
required

Activity kind supplied by Procare, for example bottle_activity, meal_activity, bathroom_activity, nap_activity, sign_in_activity, sign_out_activity, learning_activity or photo_activity.

batch_id
string
required

Batch id.

comment
string | null
required
data
any
required

JSON content whose structure depends on the source activity type; may be null.

Example:
id
string
required
indicators
any[] | null
required

Unstructured JSON value supplied by the source system; may be null.

is_staff_only
boolean
required
kid_ids
string[] | null
required
measures
any[] | null
required

Unstructured JSON value supplied by the source system; may be null.

photo_url
string | null
required
reminder_active
boolean | null
required
staff_present_id
string
required

Staff present id.

staff_present_name
string
required
teacher_id
string | null
required